Bug 157574 - [PATCH] Fix port: games/conquest should use GROUPS
Summary: [PATCH] Fix port: games/conquest should use GROUPS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 09:30 UTC by Chris Rees
Modified: 2011-06-12 14:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-06-04 09:30:12 UTC
	

	This port uses pkg-install to create new users instead of using USERS= and GROUPS=.

Fix: - Use GROUPS

	Submitted by: Chris Rees (utisoft@gmail.com)




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--K9WsbcOSZg81NG08so0dRrXYGe00oUvXa9xD2qrGjD9y0PTp
Content-Type: text/plain; name="games-conquest.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="games-conquest.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/games/conquest/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- Makefile	19 Nov 2009 22:07:38 -0000	1.12
+++ Makefile	2 Jun 2011 17:41:36 -0000
@@ -18,6 +18,7 @@
 CONFIGURE_ARGS=	--sysconfdir=${LOCALBASE}/etc/conquest \
 		--datadir=${LOCALBASE}/share/conquest \
 		--localstatedir=/var/games
+GROUPS=		${PORTNAME}
 BINGRP=		conquest
 SHAREGRP=	conquest
 MAKE_JOBS_UNSAFE=	yes
@@ -29,7 +30,6 @@
 	${REINPLACE_CMD} "s/-O2 -fPIC//g" ${WRKSRC}/configure
 
 do-install:
-	@${SH} pkg-install ${PORTNAME} PRE-INSTALL
 	${INSTALL_PROGRAM} -m 2550 ${WRKSRC}/conqai ${PREFIX}/sbin
 	${INSTALL_PROGRAM} -m 2551 ${WRKSRC}/conqdriv ${PREFIX}/libexec
 	${INSTALL_PROGRAM} -m 2551 ${WRKSRC}/conqoper ${PREFIX}/sbin
Index: pkg-install
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/games/conquest/pkg-install,v
retrieving revision 1.2
diff -u -r1.2 pkg-install
--- pkg-install	19 Nov 2002 11:52:40 -0000	1.2
+++ pkg-install	2 Jun 2011 17:40:58 -0000
@@ -1,21 +1,7 @@
 #!/bin/sh
 
-[ "${PKG_PREFIX}" ] && PREFIX="${PKG_PREFIX}"
-[ "${PREFIX}" ] || PREFIX=/usr/local
-
 case "$2" in
-	PRE-INSTALL)
-		if ! pw group show conquest >/dev/null 2>&1
-		then
-			echo "===>   Creating group conquest"
-			pw add group conquest
-		fi
-	;;
 	POST-INSTALL)
 		install -d -o root -g conquest -m 770 /var/games/conquest
 	;;
-	*)
-		echo "Incorrect parameter"
-		exit 1
-	;;
 esac
Comment 1 Rene Ladan freebsd_committer 2011-06-06 22:56:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 2 Rene Ladan freebsd_committer 2011-06-11 18:02:36 UTC
Responsible Changed
From-To: rene->crees

Over to new committer
Comment 3 dfilter service freebsd_committer 2011-06-12 14:15:38 UTC
crees       2011-06-12 13:15:25 UTC

  FreeBSD ports repository

  Modified files:
    games/conquest       Makefile distinfo pkg-install pkg-plist 
  Log:
  - Use GROUPS
  - Use DATADIR and DOCSDIR
  - While here, remove obsolete MD5 checksum
  
  PR:             157574
  Approved by:    rene (mentor)
  
  Revision  Changes    Path
  1.13      +1 -1      ports/games/conquest/Makefile
  1.7       +0 -1      ports/games/conquest/distinfo
  1.3       +0 -14     ports/games/conquest/pkg-install
  1.3       +5 -5      ports/games/conquest/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Chris Rees freebsd_committer 2011-06-12 14:17:50 UTC
State Changed
From-To: open->closed

Committed.